VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Section with additional software for Vesta
droopy
Posts: 35
Joined: Wed Jun 11, 2014 11:50 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby droopy » Wed Sep 21, 2016 9:44 pm

Script is Awesome, as really we need to have this options to select on Vesta.

Actually i need PHP 5.4.33 with the mcrypt extension.
Please add this, which was the default option on vestacp.

Unfortunately, VestaCP do not have this selectable by default as cpanel or others.
It is a MUST HAVE option!

Ironico
Posts: 9
Joined: Thu Aug 25, 2016 6:26 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby Ironico » Thu Sep 22, 2016 2:37 pm

Good afternoon

Did the PHP SELECTOR for install in OS Ubuntu 14 - with Vesta Panel
0.9.8 ( amd64) ?

skamasle
Collaborator
Posts: 381
Joined: Mon Feb 29, 2016 6:36 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby skamasle » Thu Sep 22, 2016 6:17 pm

Ironico wrote:Good afternoon

Did the PHP SELECTOR for install in OS Ubuntu 14 - with Vesta Panel
0.9.8 ( amd64) ?


Only work in centos :/

skurudo
VestaCP Team
Posts: 7798
Joined: Fri Dec 26, 2014 2:23 pm
Location: Moscow
Contact:

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby skurudo » Fri Sep 23, 2016 12:19 pm

Ironico wrote:Did the PHP SELECTOR for install in OS Ubuntu 14 - with Vesta Panel
0.9.8 ( amd64) ?


There is russian guide for this -> http://anikin.pw/all/multiversionnost-p ... s-vestacp/
You can translate or copy/paste commands, if you want ;-)
-> DigitalOcean competition - please, support us
-> fix for phpmyadmin - nice and sweet now

skamasle
Collaborator
Posts: 381
Joined: Mon Feb 29, 2016 6:36 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby skamasle » Fri Sep 23, 2016 1:54 pm

skurudo wrote:
Ironico wrote:Did the PHP SELECTOR for install in OS Ubuntu 14 - with Vesta Panel
0.9.8 ( amd64) ?


There is russian guide for this -> http://anikin.pw/all/multiversionnost-p ... s-vestacp/
You can translate or copy/paste commands, if you want ;-)



Yeah, just need compile php, is easy and there is some script that do this job, and than only need copy templates.

I have some ubuntu scripts also, just run and it compile php :)

webyuga
Posts: 1
Joined: Fri Sep 23, 2016 6:03 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby webyuga » Fri Sep 23, 2016 6:05 pm

I have getting error after update this. Please help how to solve below error.
-- Unit httpd.service has begun starting up.
Sep 23 23:26:37 vps242999.ovh.net httpd[19493]: [Fri Sep 23 23:26:37.354849 2016] [so:warn] [pid 19493] AH01574:
Sep 23 23:26:37 vps242999.ovh.net httpd[19493]: [Fri Sep 23 23:26:37.354989 2016] [so:warn] [pid 19493] AH01574:
Sep 23 23:26:37 vps242999.ovh.net httpd[19493]: no listening sockets available, shutting down
Sep 23 23:26:37 vps242999.ovh.net httpd[19493]: AH00015: Unable to open logs
Sep 23 23:26:37 vps242999.ovh.net systemd[1]: httpd.service: main process exited, code=exited, status=1/FAILURE
Sep 23 23:26:37 vps242999.ovh.net kill[19494]: kill: cannot find process ""
Sep 23 23:26:37 vps242999.ovh.net systemd[1]: httpd.service: control process exited, code=exited status=1
Sep 23 23:26:37 vps242999.ovh.net systemd[1]: Failed to start The Apache HTTP Server.
-- Subject: Unit httpd.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/li ... temd-devel
--
-- Unit httpd.service has failed.
--
-- The result is failed.
Sep 23 23:26:37 vps242999.ovh.net systemd[1]: Unit httpd.service entered failed state.
Sep 23 23:26:37 vps242999.ovh.net systemd[1]: httpd.service failed.
Sep 23 23:26:37 vps242999.ovh.net polkitd[551]: Unregistered Authentication Agent for unix-process:19478:102754 (

skamasle
Collaborator
Posts: 381
Joined: Mon Feb 29, 2016 6:36 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby skamasle » Fri Sep 23, 2016 7:09 pm

Hi

Can you explainme what you upgrade or do to get error ?

This script is not compatible with v16, you need func/domain.sh to do it working

iamfaruk
Posts: 1
Joined: Wed Nov 30, 2016 4:20 am

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby iamfaruk » Wed Nov 30, 2016 4:23 am

I am having this error using php54. Please tell me how can I fix it.

Code: Select all

[Wed Nov 30 04:15:46 2016] [warn] [client xxx.xxx.xxx.xxx] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: http://www.domain.com/info.php
[Wed Nov 30 04:15:46 2016] [error] [client xxx.xxx.xxx.xxx] Premature end of script headers: index.php, referer: http://www.domain.com/info.php

skamasle
Collaborator
Posts: 381
Joined: Mon Feb 29, 2016 6:36 pm

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby skamasle » Wed Nov 30, 2016 9:47 pm

This only happen whit 5.4 ?

What is default version ?

xaritoshka2004
Posts: 1
Joined: Sun Jan 22, 2017 11:24 am

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Postby xaritoshka2004 » Sun Jan 22, 2017 11:26 am

Hi, how to add php 5.3, thanks


Return to “3rd Party Software”



Who is online

Users browsing this forum: No registered users and 2 guests